digiKam Developer Documentation: Digikam::SidebarSplitter Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Friends | List of all members
Digikam::SidebarSplitter Class Reference
Inheritance diagram for Digikam::SidebarSplitter:

## Public Member Functions
| SidebarSplitter (Qt::Orientation orientation, QWidget *const parent=nullptr)
| SidebarSplitter (QWidget *const parent=nullptr)
| This is a QSplitter with better support for storing its state in config files, especially if Sidebars are contained in the splitter.
void | addSplitterCollapserButton (QWidget *const widget)
void | restoreState (KConfigGroup &group)
| Restores the splitter state from group, handling minimized sidebars correctly.
void | restoreState (KConfigGroup &group, const QString &key)
| Restores the splitter state from group, handling minimized sidebars correctly.
void | saveState (KConfigGroup &group)
| Saves the splitter state to group, handling minimized sidebars correctly.
void | saveState (KConfigGroup &group, const QString &key)
| Saves the splitter state to group, handling minimized sidebars correctly.
void | setSize (QWidget *const widget, int size)
void | setSize (Sidebar *const bar, int size)
| Sets the splitter size for the given sidebar or splitter child widget to size.
int | size (QWidget *const widget) const
int | size (Sidebar *const bar) const
| Returns the value of sizes() that corresponds to the given Sidebar or splitter child widget.

## Static Public Attributes
static const QString | DEFAULT_CONFIG_KEY = QLatin1String("SplitterState")

## Friends
class | Sidebar

## Member Function Documentation

## ◆ restoreState() [1/2]

void Digikam::SidebarSplitter::restoreState | ( | KConfigGroup & | group | ) |

DEFAULT_CONFIG_KEY is used for restoring the state.

## ◆ restoreState() [2/2]

void Digikam::SidebarSplitter::restoreState | ( | KConfigGroup & | group,
|  | const QString & | key
| ) |  |

This version uses a specified key in the config group.

## ◆ saveState() [1/2]

void Digikam::SidebarSplitter::saveState | ( | KConfigGroup & | group | ) |

DEFAULT_CONFIG_KEY is used for storing the state.

## ◆ saveState() [2/2]

void Digikam::SidebarSplitter::saveState | ( | KConfigGroup & | group,
|  | const QString & | key
| ) |  |

This version uses a specified key in the config group.

## ◆ setSize()

void Digikam::SidebarSplitter::setSize | ( | Sidebar *const | bar,
|  | int | size
| ) |  |

Special value -1: Sets the minimum size hint of the widget.